export enum EAgeRatingCategory {
    'ESRB' = 0,
    'PEGI' = 2,
    'CERO' = 3,
    'USK' = 4,
    'GRAC' = 5,
    'CLASS_IND' = 6,
    'ACB' = 7,
}

export enum EAgeRatingRating {
    'Three' = 1,
    'Seven' = 2,
    'Twelve' = 3,
    'Sixteen' = 4,
    'Eighteen' = 5,
    'RP' = 6,
    'EC' = 7,
    'E' = 8,
    'E10' = 9,
    'T' = 10,
    'M' = 11,
    'AO' = 12,
    'CERO_A' = 13,
    'CERO_B' = 14,
    'CERO_C' = 15,
    'CERO_D' = 16,
    'CERO_Z' = 17,
    'USK_0' = 18,
    'USK_6' = 19,
    'USK_12' = 20,
    'USK_16' = 21,
    'USK_18' = 22,
    'GRAC_ALL' = 23,
    'GRAC_Twelve' = 24,
    'GRAC_Fifteen' = 25,
    'GRAC_Eighteen' = 26,
    'GRAC_TESTING' = 27,
    'CLASS_IND_L' = 28,
    'CLASS_IND_Ten' = 29,
    'CLASS_IND_Twelve' = 30,
    'CLASS_IND_Fourteen' = 31,
    'CLASS_IND_Sixteen' = 32,
    'CLASS_IND_Eighteen' = 33,
    'ACB_G' = 34,
    'ACB_PG' = 35,
    'ACB_M' = 36,
    'ACB_MA15' = 37,
    'ACB_R18' = 38,
    'ACB_RC' = 39,
}

export enum EGameCategory {
    'main_game' = 0,
    'dlc_addon' = 1,
    'expansion' = 2,
    'bundle' = 3,
    'standalone_expansion' = 4,
    'mod' = 5,
    'episode' = 6,
    'season' = 7,
    'remake' = 8,
    'remaster' = 9,
    'expanded_game' = 10,
    'port' = 11,
    'fork' = 12,
    'pack' = 13,
    'update' = 14,
}

export enum EGameStatus {
    'released' = 0,
    'alpha' = 2,
    'beta' = 3,
    'early_access' = 4,
    'offline' = 5,
    'cancelled' = 6,
    'rumored' = 7,
    'delisted' = 8,
}

export interface IAuth {
    access_token: string;
    expires_in: number;
    token_type: 'bearer';
}

export interface IGame {
    id: number;
    age_ratings: EAgeRatingCategory[];
    aggregrated_rating: number;
    aggregrated_rating_count: number;
    alternative_names: number[];
    artworks: number[];
    bundles: number[];
    category: EGameCategory;
    checksum: string;
    collection: number;
    cover: ICover;
    created_at: number;
    dlcs: number[];
    expanded_games: number[];
    expansions: number[];
    external_games: number[];
    first_release_date: number;
    follows: number;
    forks: number[];
    franchise: number;
    franchises: number[];
    game_engines: number[];
    game_localizations: number[];
    game_modes: number[];
    genres: number[];
    hypes: number;
    involved_companies: number[];
    keywords: number[];
    language_supports: number[];
    multiplayer_modes: number[];
    name: string;
    parent_game: string;
    platforms: number[];
    player_perspectives: number[];
    ports: number[];
    rating: number;
    rating_count: number;
    release_dates: number[];
    remakes: number[];
    remasters: number[];
    screenshots: number[];
    similar_games: number[];
    slug: string;
    standalone_expansions: number[];
    status: EGameStatus;
    storyline: string;
    summary: string;
    tags: number[];
    themes: number[];
    total_rating: number;
    total_rating_count: number;
    updated_at: number;
    url: string;
    version_parent: number;
    version_title: string;
    videos: number[];
    websites: number[];
}

export interface ICover {
    id: number;
    alpha_channel: boolean;
    animated: boolean;
    checksum: string;
    game: number;
    game_localization: number;
    height: number;
    image_id: string;
    url: string;
    width: number;
}